Page MenuHomePhabricator

Show warning icon if statement value is changed but reference is not changed in the same edit
Closed, ResolvedPublic13 Story Points

Description

As an editor I want to make correct edits in order to not mess up the data in Wikidata.

Problem:
When changing the value without changing the reference I do not get a notice that I potentially made a mistake. We should give you a hint.

Screenshots/mockups:

BDD
GIVEN I edit a statement value (that has been there since loading the page)
AND it is enabled on my wiki by a global config switch
AND the statement already has one or more references
AND I didn’t alter any of the reference snacks of any of the references in any way
WHEN I click save
THEN I see a warning icon (like mid-level constraints) next to the reference heading

GIVEN The icon is visible
WHEN I click edit
THEN the icon disappears

GIVEN The icon is visible
WHEN I refresh
THEN the icon disappears

Acceptance criteria:

  • Changing the value of a statement without changing any part of any reference triggers a warning.
  • This should be behind a config switch
  • The hover text (title) of the link element is “This statement has some potential issues”

UX Warn:

  • although the task says "icon" and the mockups show indeed an Icon @Jan_Dittrich wants to make sure that everyone is aware that the mockups are not final yet and it could be other type of icon or other thing. 80 % chances say it will be an icon.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 31 2019, 9:10 PM

@Lucas_Werkmeister_WMDE could you point me to the current constraint violation icons? I think we should use them.

suggestion, non-mandatory, mandatory – I’m not sure if it would be a good idea to reuse the same icons, though.

good idea to reuse the same icons, though.

good point. What would would be the problems in your eyes?

I’m worried that users might be confused if the constraint violation icons now mean something potentially different… but I have no idea how they’re currently perceived, perhaps users already think of them as general problem indicators.

That said – it probably would be technologically unfeasible to include the tainted reference warnings in the same popup as the constraint violations; I think it’s more likely that there might be two icons side-by-side (one for constraints, one for tainted references). In that case, it would look weird if the two icons were identical. (But perhaps I’m making too many assumptions about tainted references and they would actually look completely different?)

darthmon_wmde updated the task description. (Show Details)Sep 3 2019, 8:53 AM
darthmon_wmde updated the task description. (Show Details)
darthmon_wmde set the point value for this task to 13.
Jan_Dittrich updated the task description. (Show Details)Sep 3 2019, 9:29 AM
Tarrow updated the task description. (Show Details)Oct 22 2019, 1:07 PM
Ladsgroup moved this task from incoming to in progress on the Wikidata board.Oct 23 2019, 10:19 AM

Wohoooooooooooooo!
This looks good from my side. One minor thing I noticed when comparing to constraints is that the horizontal alignment is different between text and icon. Comparison screenshots:

tainted reference:

constraint violation:

Is that intentional or an oversight?

Is that intentional or an oversight?

Not intentional. The mid of the e and the longest horizontal cut through the of the circle should be about on the same vertical position.

Tarrow claimed this task.Oct 30 2019, 11:36 AM
Tarrow moved this task from To Do to Doing on the Wikidata-Tainted-References-Sprint4 board.

@Sarai-WMDE https://wikidata.beta.wmflabs.org/wiki/Q112 is link you can follow to see if the story looks done to you :)

@Sarai-WMDE https://wikidata.beta.wmflabs.org/wiki/Q112 is link you can follow to see if the story looks done to you :)

Hey, @Tarrow. I just finished checking the edit interaction in beta: the behaviour seems to fully match the logic defined in the BDD, as well as the 1st and 3rd ACs (the ones I can check). I would consider the story done from an interaction standpoint.

Woo Hoo! I'll move it to done and resolve it :)

Tarrow closed this task as Resolved.Mon, Nov 11, 2:23 PM
Tarrow reopened this task as Open.Tue, Nov 12, 10:48 AM

for @Lydia_Pintscher to check :)